Subject: New Perl packages (5.002-9)

From: "Darren/Torin/Who Ever..." <[email-masked]>
Date: 04 Jun 1996 14:21:41 -0700

I've uploaded the following to master.
In -8, someone objected to the split-out of suid and debug into
additional packages.  I then asked for suggestions on other ways to
package it considering that suidperl is a possible security hole and
debugperl is just plain large.  No one spoke up, so I'm continuing this
way.

Bruce asked for the Perl binary in a separate package with possibly some
small pieces added from the perllib.  I asked what pieces were needed.
I never got an answer, so Perl is still a monolithic package.

I've left the filenames in a way that dchanges 3.3 would like them since
Bruce said it was okay to have '-' in all the parts of the filename for
now.  I'll change it for the next release (or when dchanges accepts it.)

Darren
-----BEGIN PGP SIGNED MESSAGE-----

Date: 04 Jun 96 20:16 UT
Format: 1.5
Distribution: unstable
Priority: Low
Maintainer: Darren Stalder <[email-masked]>
Source: perl
Version: 5.002-9
Binary:  perl perl-suid perl-debug
Architecture:  i386 source
Description: 
 perl: Larry Wall's Practical Extracting and Report Language.
 perl-suid: Runs setuid perl scripts.
 perl-debug: Allow debugging perl scripts (and perl).
Changes: 
        * Changed recommends of perl from source | includes to libc5-dev
          in accord with where the include files actually come from
        * Added the following Priority fields: Perl - Important (from
          Packages), perl-suid - Standard, perl-debug - Optional
        * use dpkg-name instead of a manual move
        * Changed the '_' in the the package names to '-' per Ian Jackson.
 .
Files:
 17447a47cd0e71502459d640b150d112  1542186  devel  -  perl-5.002-9.tar.gz
 db31dbe4124f74b50646f411a9b41d77  11941  devel  -  perl-5.002-9.diff.gz
 5f354f8f43c5f6376bf32e76552700f3  1751494  devel  Important  perl-5.002-9.i386.deb
 f2dbca15d2dd3ab066bf995dce6f2495  219914  devel  Standard  perl-suid-5.002-9.i386.deb
 b3896d09f1601f7c048caefd131a019e  1171024  devel  Optional  perl-debug-5.002-9.i386.deb

-- 
<[email-masked]> <http://www.daft.com/~torin/>    <[email-masked]> <[email-masked]>
Darren Stalder/2608 Second Ave, @282/Seattle, WA 98121-1212/USA/+1-800-921-4996
@ Do you have your clothes on? I probably don't. Take yours off. Feel better. @
@ Sysadmin, webweaver, postmaster for hire.  C/Perl/CGI programmer and tutor. @